SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

-- --------------------------------------------------------

--
-- Table structure for table `asset`
--

CREATE TABLE `asset` (
  `bar_code` varchar(15) DEFAULT NULL,
  `name` varchar(25) DEFAULT NULL,
  `creation_date` varchar(19) DEFAULT NULL,
  `serial` varchar(30) NOT NULL DEFAULT '',
  `model` varchar(35) DEFAULT NULL,
  `brand` varchar(25) DEFAULT NULL,
  `owner` varchar(25) DEFAULT NULL,
  `form` varchar(50) DEFAULT NULL,
  `use1` varchar(15) DEFAULT NULL,
  `notes` text,
  `os` varchar(25) DEFAULT NULL,
  `pdate` date DEFAULT NULL,
  `co_status` tinyint(1) NOT NULL,
  `produkey` varchar(29) NOT NULL,
  `createdby` varchar(19) NOT NULL,
  `updatetime` varchar(19) NOT NULL,
  `updateby` varchar(19) NOT NULL,
  `vendor` varchar(25) NOT NULL,
  `funding` varchar(25) NOT NULL,
  `cost` varchar(10) NOT NULL,
  `custom1` varchar(255) NOT NULL,
  `custom2` varchar(255) NOT NULL,
  `phyloc` int DEFAULT NULL,
  `strack` tinyint(1) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `asset_retired`
--

CREATE TABLE `asset_retired` (
  `bar_code` int DEFAULT NULL,
  `name` varchar(25) DEFAULT NULL,
  `creation_date` varchar(19) DEFAULT NULL,
  `serial` varchar(30) DEFAULT NULL,
  `model` varchar(35) DEFAULT NULL,
  `brand` varchar(25) DEFAULT NULL,
  `owner` varchar(25) DEFAULT NULL,
  `form` varchar(50) DEFAULT NULL,
  `use1` varchar(15) DEFAULT NULL,
  `notes` text,
  `os` varchar(25) DEFAULT NULL,
  `pdate` date DEFAULT NULL,
  `co_status` tinyint(1) NOT NULL,
  `produkey` varchar(29) NOT NULL,
  `createdby` varchar(19) NOT NULL,
  `updatetime` varchar(19) NOT NULL,
  `updateby` varchar(19) NOT NULL,
  `vendor` varchar(25) NOT NULL,
  `funding` varchar(25) NOT NULL,
  `cost` varchar(10) NOT NULL,
  `custom1` varchar(255) NOT NULL,
  `custom2` varchar(255) NOT NULL,
  `phyloc` int DEFAULT NULL,
  `strack` tinyint(1) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `building`
--

CREATE TABLE `building` (
  `name` varchar(25) NOT NULL,
  `number` int NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `dates`
--

CREATE TABLE `dates` (
  `number` int NOT NULL,
  `sdate` date NOT NULL,
  `edate` date NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `disposed`
--

CREATE TABLE `disposed` (
  `bar_code` int DEFAULT NULL,
  `name` varchar(25) DEFAULT NULL,
  `creation_date` varchar(19) DEFAULT NULL,
  `serial` varchar(30) DEFAULT NULL,
  `model` varchar(35) DEFAULT NULL,
  `brand` varchar(25) DEFAULT NULL,
  `owner` varchar(25) DEFAULT NULL,
  `form` varchar(50) DEFAULT NULL,
  `use1` varchar(15) DEFAULT NULL,
  `notes` text,
  `os` varchar(25) DEFAULT NULL,
  `pdate` date DEFAULT NULL,
  `co_status` tinyint(1) NOT NULL,
  `produkey` varchar(29) NOT NULL,
  `createdby` varchar(19) NOT NULL,
  `updatetime` varchar(19) NOT NULL,
  `updateby` varchar(19) NOT NULL,
  `vendor` varchar(25) NOT NULL,
  `funding` varchar(25) NOT NULL,
  `cost` varchar(10) NOT NULL,
  `ddate` date NOT NULL,
  `custom1` varchar(255) NOT NULL,
  `custom2` varchar(255) NOT NULL,
  `dreason` varchar(55) NOT NULL,
  `phyloc` int DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `images`
--

CREATE TABLE `images` (
  `index` int NOT NULL,
  `serial` varchar(30) NOT NULL,
  `imagename` varchar(60) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `members`
--

CREATE TABLE `members` (
  `id` int NOT NULL,
  `username` varchar(70) NOT NULL,
  `password` varchar(255) NOT NULL,
  `ro` int NOT NULL,
  `createdby` varchar(25) NOT NULL,
  `salt` varchar(255) NOT NULL,
  `sadmin` tinyint NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `members`
--

INSERT INTO `members` (`id`, `username`, `password`, `ro`, `createdby`, `salt`, `sadmin`) VALUES
(1, 'admin', 'a1fae0d355700d2de0372601e939f071ada23b8a2661c555ef658576e6bfbb03e1bcaf0d42f3332e2cefdd9e10d527952706bb850f99a207f2f90f2683a13b42', 0, '', 'eMcp345X1znkXGv91no12VX1kxzvHF2WgF7Nm0Y812s=', 1);

-- --------------------------------------------------------

--
-- Table structure for table `member_history`
--

CREATE TABLE `member_history` (
  `member` varchar(50) NOT NULL,
  `date` date NOT NULL,
  `time` time NOT NULL,
  `action` varchar(11) NOT NULL,
  `index` int NOT NULL,
  `ipadd` varchar(45) NOT NULL,
  `ipfor` varchar(45) NOT NULL,
  `valid` varchar(3) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `member_prefs`
--

CREATE TABLE `member_prefs` (
  `id` int NOT NULL,
  `rpp` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '250',
  `bar_code` tinyint(1) NOT NULL DEFAULT '1',
  `name` tinyint(1) NOT NULL DEFAULT '1',
  `serial` tinyint(1) NOT NULL DEFAULT '1',
  `age` tinyint(1) NOT NULL DEFAULT '1',
  `model` tinyint(1) NOT NULL DEFAULT '1',
  `brand` tinyint(1) NOT NULL DEFAULT '1',
  `owner` tinyint(1) NOT NULL DEFAULT '1',
  `form` tinyint(1) NOT NULL DEFAULT '1',
  `use1` tinyint(1) NOT NULL DEFAULT '1',
  `co_location` tinyint(1) NOT NULL DEFAULT '1',
  `pdate` tinyint(1) NOT NULL DEFAULT '1',
  `images` tinyint(1) NOT NULL DEFAULT '1',
  `os` tinyint(1) DEFAULT '1',
  `co_status` tinyint(1) NOT NULL DEFAULT '1',
  `produkey` tinyint(1) NOT NULL DEFAULT '1',
  `notes` tinyint(1) NOT NULL DEFAULT '1',
  `createdby` tinyint(1) NOT NULL DEFAULT '1',
  `creation_date` tinyint(1) NOT NULL DEFAULT '1',
  `updatetime` tinyint(1) NOT NULL DEFAULT '1',
  `updateby` tinyint(1) NOT NULL DEFAULT '1',
  `vendor` tinyint(1) NOT NULL DEFAULT '1',
  `funding` tinyint(1) NOT NULL DEFAULT '1',
  `cost` tinyint(1) NOT NULL DEFAULT '1',
  `co_building` tinyint(1) NOT NULL DEFAULT '1',
  `custom1` tinyint(1) NOT NULL DEFAULT '1',
  `custom2` tinyint(1) NOT NULL DEFAULT '1',
  `menup` tinyint(1) NOT NULL DEFAULT '1',
  `co_user` tinyint(1) NOT NULL DEFAULT '1',
  `defaultbuilding` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '1',
  `phyloc` tinyint NOT NULL DEFAULT '1',
  `tsize` int NOT NULL DEFAULT '80'
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `member_prefs`
--

INSERT INTO `member_prefs` (`id`, `rpp`, `bar_code`, `name`, `serial`, `age`, `model`, `brand`, `owner`, `form`, `use1`, `co_location`, `pdate`, `images`, `os`, `co_status`, `produkey`, `notes`, `createdby`, `creation_date`, `updatetime`, `updateby`, `vendor`, `funding`, `cost`, `co_building`, `custom1`, `custom2`, `menup`, `co_user`, `defaultbuilding`, `phyloc`, `tsize`) VALUES
(1, '250', 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, '', 0, 80);

-- --------------------------------------------------------

--
-- Table structure for table `multisearch`
--

CREATE TABLE `multisearch` (
  `f_name` varchar(25) NOT NULL,
  `msn` int NOT NULL,
  `t1` varchar(25) NOT NULL,
  `t2` varchar(25) NOT NULL,
  `t3` varchar(25) NOT NULL,
  `t4` varchar(25) NOT NULL,
  `t5` varchar(25) NOT NULL,
  `s1` varchar(25) NOT NULL,
  `s2` varchar(25) NOT NULL,
  `s3` varchar(25) NOT NULL,
  `s4` varchar(25) NOT NULL,
  `s5` varchar(25) NOT NULL,
  `con1` varchar(5) NOT NULL,
  `con2` varchar(5) NOT NULL,
  `con3` varchar(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `room`
--

CREATE TABLE `room` (
  `id` int NOT NULL,
  `roomnumber` varchar(30) NOT NULL,
  `building` varchar(4) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `searches`
--

CREATE TABLE `searches` (
  `f_name` varchar(25) NOT NULL,
  `name` varchar(25) NOT NULL,
  `type` varchar(25) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `searches`
--

INSERT INTO `searches` (`f_name`, `name`, `type`) VALUES
('Not Checked Out', '\"0\"', 'co_status'),
('Checked Out', '1', 'co_status');

-- --------------------------------------------------------

--
-- Table structure for table `settings`
--

CREATE TABLE `settings` (
  `dbversion` varchar(25) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `updatecheck` tinyint(1) NOT NULL DEFAULT '1',
  `stracking` tinyint NOT NULL,
  `visualenable` tinyint(1) NOT NULL DEFAULT '0',
  `configver` tinyint NOT NULL DEFAULT '2'
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `settings`
--

INSERT INTO `settings` (`dbversion`, `updatecheck`, `stracking`, `visualenable`, `configver`) VALUES
('R18', 1, 0, 0, 2);

-- --------------------------------------------------------

--
-- Table structure for table `stracking`
--

CREATE TABLE `stracking` (
  `serial` varchar(30) NOT NULL,
  `gan` varchar(200) NOT NULL,
  `sgn` varchar(200) NOT NULL,
  `gayear` int NOT NULL,
  `titleholder` varchar(50) NOT NULL,
  `fedpar` int NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tracker`
--

CREATE TABLE `tracker` (
  `name` varchar(25) NOT NULL,
  `serial` varchar(30) NOT NULL,
  `user` varchar(25) NOT NULL,
  `codate` date NOT NULL,
  `cidate` date NOT NULL,
  `creation_date` varchar(19) NOT NULL,
  `location` varchar(25) NOT NULL,
  `co_complete` tinyint(1) NOT NULL,
  `building` int NOT NULL,
  `cond_out` varchar(255) NOT NULL,
  `cond_in` varchar(255) NOT NULL,
  `uuid` int NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `uname` varchar(25) NOT NULL,
  `uroom` varchar(25) NOT NULL,
  `uid` varchar(15) NOT NULL,
  `uuid` int NOT NULL,
  `enabled` tinyint(1) NOT NULL DEFAULT '1'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `visual`
--

CREATE TABLE `visual` (
  `name` varchar(15) NOT NULL,
  `hcolor1` varchar(7) NOT NULL,
  `hcolor2` varchar(7) NOT NULL,
  `bcolor` varchar(7) NOT NULL,
  `bcolor2` varchar(7) NOT NULL,
  `bborder` varchar(7) NOT NULL,
  `abcolor` varchar(7) NOT NULL,
  `abcolor2` varchar(7) NOT NULL,
  `abborder` varchar(7) NOT NULL,
  `alogo` varchar(7) NOT NULL DEFAULT '#000000'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `visual`
--

INSERT INTO `visual` (`name`, `hcolor1`, `hcolor2`, `bcolor`, `bcolor2`, `bborder`, `abcolor`, `abcolor2`, `abborder`, `alogo`) VALUES
('C1', '#78B2FF', '#574CEF', '#261C1C', '#706659', '#D50000', '#FF0000', '#EFBB54', '#D5894B', '#000000');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `asset`
--
ALTER TABLE `asset`
  ADD PRIMARY KEY (`serial`),
  ADD UNIQUE KEY `name` (`name`);

--
-- Indexes for table `asset_retired`
--
ALTER TABLE `asset_retired`
  ADD UNIQUE KEY `serial` (`serial`),
  ADD UNIQUE KEY `name` (`name`);

--
-- Indexes for table `building`
--
ALTER TABLE `building`
  ADD PRIMARY KEY (`number`),
  ADD KEY `number` (`number`);

--
-- Indexes for table `dates`
--
ALTER TABLE `dates`
  ADD PRIMARY KEY (`number`),
  ADD UNIQUE KEY `number` (`number`);

--
-- Indexes for table `disposed`
--
ALTER TABLE `disposed`
  ADD UNIQUE KEY `serial` (`serial`),
  ADD UNIQUE KEY `name` (`name`);

--
-- Indexes for table `images`
--
ALTER TABLE `images`
  ADD PRIMARY KEY (`index`);

--
-- Indexes for table `members`
--
ALTER TABLE `members`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `username` (`username`);

--
-- Indexes for table `member_history`
--
ALTER TABLE `member_history`
  ADD PRIMARY KEY (`index`),
  ADD KEY `index` (`index`);

--
-- Indexes for table `multisearch`
--
ALTER TABLE `multisearch`
  ADD UNIQUE KEY `f_name` (`f_name`),
  ADD UNIQUE KEY `f_name_2` (`f_name`);

--
-- Indexes for table `room`
--
ALTER TABLE `room`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `id` (`id`),
  ADD UNIQUE KEY `roombuilding` (`roomnumber`,`building`);

--
-- Indexes for table `searches`
--
ALTER TABLE `searches`
  ADD UNIQUE KEY `name` (`name`),
  ADD UNIQUE KEY `f_name` (`f_name`),
  ADD UNIQUE KEY `f_name_2` (`f_name`);

--
-- Indexes for table `settings`
--
ALTER TABLE `settings`
  ADD UNIQUE KEY `dbversion` (`dbversion`);

--
-- Indexes for table `stracking`
--
ALTER TABLE `stracking`
  ADD UNIQUE KEY `serial` (`serial`);

--
-- Indexes for table `tracker`
--
ALTER TABLE `tracker`
  ADD KEY `serial` (`serial`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`uuid`),
  ADD UNIQUE KEY `uname` (`uname`);

--
-- Indexes for table `visual`
--
ALTER TABLE `visual`
  ADD UNIQUE KEY `name` (`name`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `building`
--
ALTER TABLE `building`
  MODIFY `number` int NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `dates`
--
ALTER TABLE `dates`
  MODIFY `number` int NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `images`
--
ALTER TABLE `images`
  MODIFY `index` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=339;

--
-- AUTO_INCREMENT for table `members`
--
ALTER TABLE `members`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=60;

--
-- AUTO_INCREMENT for table `member_history`
--
ALTER TABLE `member_history`
  MODIFY `index` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=222;

--
-- AUTO_INCREMENT for table `room`
--
ALTER TABLE `room`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=468;

--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `uuid` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4785;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
